public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/TCL/
Date: Fri, 20 Aug 2021 01:32:51 +0000 (UTC)	[thread overview]
Message-ID: <1629418786.05b3cc50b7150da969370254095b9d1539dd094c.Alessandro-Barbieri@gentoo> (raw)

commit:     05b3cc50b7150da969370254095b9d1539dd094c
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Fri Aug 20 00:19:46 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Aug 20 00:19:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=05b3cc50

sys-cluster/TCL: move some use to use expand

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/TCL/TCL-1.0.ebuild | 24 +++++++++++++++---------
 sys-cluster/TCL/metadata.xml   |  4 +++-
 2 files changed, 18 insertions(+), 10 deletions(-)

diff --git a/sys-cluster/TCL/TCL-1.0.ebuild b/sys-cluster/TCL/TCL-1.0.ebuild
index a09aeaf0e..b4eb7020d 100644
--- a/sys-cluster/TCL/TCL-1.0.ebuild
+++ b/sys-cluster/TCL/TCL-1.0.ebuild
@@ -12,7 +12,13 @@ SRC_URI="https://github.com/bsc-pm/TCL/archive/refs/tags/v${PV}.tar.gz -> ${P}.t
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="debug fti instrumentation scr veloc"
+IUSE_TCL="
+	tcl-debug
+	tcl-instrumentation
+	tcl-instrumentation-debug
+"
+USE_EXPAND="TCL"
+IUSE="${IUSE_TCL} fti scr veloc"
 
 RDEPEND="
 	virtual/mpi
@@ -22,7 +28,11 @@ RDEPEND="
 	veloc? ( sys-cluster/veloc )
 "
 DEPEND="${RDEPEND}"
-REQUIRED_USE="|| ( fti scr veloc )"
+
+REQUIRED_USE="
+	|| ( fti scr veloc )
+	|| ( ${IUSE_TCL//+/} )
+"
 
 src_prepare() {
 	default
@@ -36,15 +46,11 @@ src_configure() {
 		--includedir="${EPREFIX}/usr/include/TCL"
 		--with-mpi="${EPREFIX}/usr"
 
-		$(use_enable debug)
-		$(use_enable instrumentation)
+		$(use_enable tcl-debug debug)
+		$(use_enable tcl-instrumentation instrumentation)
+		$(use_enable tcl-instrumentation-debug instrumentation-debug)
 	)
 
-	if use debug && use instrumentation; then
-		myconf+=( "--enable-instrumentation-debug" )
-	else
-		myconf+=( "--disable-instrumentation-debug" )
-	fi
 	if use fti; then
 		myconf+=( "--with-fti=${EPREFIX}/usr" )
 	else

diff --git a/sys-cluster/TCL/metadata.xml b/sys-cluster/TCL/metadata.xml
index c3967643f..14a2d4da2 100644
--- a/sys-cluster/TCL/metadata.xml
+++ b/sys-cluster/TCL/metadata.xml
@@ -11,8 +11,10 @@
 	</upstream>
 	<use>
 		<flag name="fti">Enable <pkg>sys-cluster/fti</pkg> backend</flag>
-		<flag name="instrumentation">Build the instrumentation version</flag>
 		<flag name="scr">Enable <pkg>sys-cluster/scr</pkg> backend</flag>
+		<flag name="tcl-debug">Build the debug version</flag>
+		<flag name="tcl-instrumentation">Build the instrumentation version</flag>
+		<flag name="tcl-instrumentation-debug">Build the instrumentation-debug version</flag>
 		<flag name="veloc">Enable <pkg>sys-cluster/veloc</pkg> backend</flag>
 	</use>
 </pkgmetadata>


             reply	other threads:[~2021-08-20  1:32 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-20  1:32 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-08-22  2:00 [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/TCL/ Alessandro Barbieri
2021-08-21  0:48 Alessandro Barbieri
2021-08-21  0:48 Alessandro Barbieri
2021-08-02 23:47 Alessandro Barbieri
2021-08-02 23:11 Alessandro Barbieri
2021-08-02 23:01 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1629418786.05b3cc50b7150da969370254095b9d1539dd094c.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox